Verwaltung von Conversion-Quellen von der Content API for Shopping migrieren

Mit Merchant Center-Conversion-Quellen können Sie Conversion-Daten aus Produkteinträgen und von Ihrer Website in Ihrem Merchant Center-Konto aufrufen. Mit der Merchant API können Sie Conversion-Quellen für Ihr Merchant Center-Konto verwalten. Weitere Informationen finden Sie unter Conversion-Quellen verwalten.

Auf dieser Seite wird beschrieben, wie Sie die Verwaltung von Conversion-Quellen von der Content API zur Merchant API migrieren.

Anfragen

Hier ist ein Beispiel für einen Vergleich der Content API for Shopping mit der Merchant Conversion Sources API für Anfragen zu Conversion-Quellen:

Content API Merchant API
URL GET https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} GET https://merchantapi.googleapis.com/conversions/v1/{NAME}
IDs {MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} {NAME}

Methoden

Folgendes hat sich bei den Methoden für Conversion-Quellen in der Conversion Sources API geändert:

Methode URL in der Content API for Shopping URL in der Merchant API IDs in der Content API for Shopping IDs in der Merchant API Beschreibung
create POST https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/conversionSources POST https://merchantapi.googleapis.com/conversions/v1/accounts/{PARENT}/conversionSources {MERCHANT_ID} {PARENT} In der Merchant API wird propertyName als property bezeichnet.
update PATCH https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} PATCH https://merchantapi.googleapis.com/conversions/v1/accounts/{CONVERSIONSOURCE_NAME} {MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} {CONVERSIONSOURCE_NAME} In der Merchant API wird destinationId als destination bezeichnet.
delete DELETE https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} DELETE https://merchantapi.googleapis.com/conversions/v1/accounts/{NAME} {MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} {NAME} In der Merchant API wird attributionLookbackWindowInDays als attributionLookbackWindowDays bezeichnet.
In der Merchant API wird includeInReporting als report bezeichnet.
undelete POST https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID}:undelete POST https://merchantapi.googleapis.com/conversions/v1/accounts/{name}:undelete {MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} {NAME} URL und Kennungen unterscheiden sich in der Merchant API.
Die Conversion Sources API gibt ConversionSource statt Empty zurück.
get GET https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} GET https://merchantapi.googleapis.com/conversions/v1/accounts/{NAME} {MERCHANT_ID}/conversionSources/{CONVERSIONSOURCE_ID} {NAME} URL und Kennungen unterscheiden sich in der Merchant API.
list GET https://shoppingcontent.googleapis.com/content/v2.1/{MERCHANT_ID}/conversionSources GET https://merchantapi.googleapis.com/conversions/v1/{PARENT}/conversionSources {MERCHANT_ID} {PARENT} URL und Kennungen unterscheiden sich in der Merchant API.

Ressourcen

In der folgenden Tabelle sind die Änderungen an den Ressourcen für Conversion-Quellen in der Conversion Sources API aufgeführt:

Content API for Shopping Merchant API Beschreibung
googleAnalyticsLink: {

property_id: int64,

attributionSettings: object,

propertyName: string

}

googleAnalyticsLink: {

propertyId: int64,

attributionSettings: object,

property: string

}

In der Merchant API wird propertyName als property bezeichnet.
merchantCenterDestination: {

destinationId: string,

attributionSettings: object,

displayName: string,

currencyCode: string

}

merchantCenterDestination: {

destination: string,

attributionSettings: object,

displayName: string,

currencyCode: string

}

In der Merchant API wird destinationId als destination bezeichnet.
attributionSettings: {

attributionLookbackWindowDays: int32,

attributionModel: object,

repeated conversionType: {

name: string,

includeInReporting: bool

}

}

attributionSettings: {

attributionLookbackWindowDays: int32,

attributionModel: object,

repeated conversionType: {

name: string,

report: bool

}

}

In der Merchant API wird attributionLookbackWindowInDays als attributionLookbackWindowDays bezeichnet.

In der Merchant API wird includeInReporting als report bezeichnet.